#!/bin/bash
##################################################
#Installation of pwsync fixpack for 5.1.2
#Prerequisites: Copy the zip file to the 
#build directory eg:  
##################################################
idsdir="IDS"
sundir="SunOne"
tempdir="temp"
backupdir="backup"
idsjvmdir="IDS/_jvm"
sunjvmdir="SunOne/_jvm"
tempjvmdir="temp/_jvm"
backupidsdir="backup/IDS"
backupsundir="backup/SunOne"
backupjvmdir="backup/_jvm"
zipball="IDI512Aix.tar.gz"
tarball="IDI512Aix.tar"
newjvm="aix_jre131-20030630.bin"
readme="5.1.2-IDI-FP01_Plugins_Aix.README"

if [ ! -d $backupdir ]; then
	echo **$backupdir directory not present. Cannot Rollback Fixpack
	exit 2 
fi


##################################################
#replace with backupup jvm
##################################################
echo **backing up the jvm...
if [ -d $idsdir ]; then
	echo **IDS jvm is copied 
	cp -rf $backupidsdir/_jvm $idsdir 
	cp $backupidsdir/libpwsync.so $idsdir
	rm $idsdir/fixpack.properties 
	rm $idsdir/$readme
	chmod a+rw $idsdir/libpwsync.so
else 
	echo IDS not installed
fi

if [ -d $sundir ]; then
	echo **Sun jvm is copied
	cp -rf $backupsundir/_jvm $sundir
	cp $backupsundir/libsunpwsync.so $sundir
	rm $sundir/fixpack.properties
	 rm $sundir/$readme
	chmod a+rw $sundir/libsunpwsync.so
else 
	echo Sunone not installed
fi


echo **removing $backupdir 
rm -rf $backupdir

